// This is the main DLL file.

#include "stdafx.h"

#include "EnumProperty.h"


using namespace System;
using namespace System::Runtime::InteropServices;
using namespace NDTS::Managed::SCO;

EnumProperty::EnumProperty():IntProperty()
{
}
EnumProperty::~EnumProperty()
{
};

String ^EnumProperty::getEnumStringByIndex(int index)
{ 
	String ^s = gcnew String(dynamic_cast<NDTS::SCO::EnumProperty*>(pProp)->getEnumStringByIndex(index));
	return s;
}

int EnumProperty::getNumberOfEnumStrings()
{ 
	return dynamic_cast<NDTS::SCO::EnumProperty*>(pProp)->getNumberOfEnumStrings(); 
}

